# Copyright (c) 2004-2005 by jens quadrat - Klein & Partner KEG, Austria
#
# BSD-like licence, see LICENCE.txt
#
from Interface import Interface, Attribute

class IVocabularyTerm(Interface):
    """ interface for terms of a vocabulary """

    def getTermKey(self):
        """ returns the key inside the vocabulary.
            this might differ from the Zope-id!
        """

    def getTermValue(self, **kwargs):
        """ returns the string-value of the vocabulary. This might be language
            sensitive.
        """ 